[@rxap/form-system](../wiki/globals) / IsEqualToDirective

# Class: IsEqualToDirective

Defined in: [packages/angular/form-system/src/lib/validators/is-equal-to.ts:25](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/validators/is-equal-to.ts#L25)

## Implements

- `Validator`

## Constructors

### new IsEqualToDirective()

> **new IsEqualToDirective**(): [`IsEqualToDirective`](../wiki/Class.IsEqualToDirective)

#### Returns

[`IsEqualToDirective`](../wiki/Class.IsEqualToDirective)

## Accessors

### equalTo

#### Set Signature

> **set** **equalTo**(`value`): `void`

Defined in: [packages/angular/form-system/src/lib/validators/is-equal-to.ts:31](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/validators/is-equal-to.ts#L31)

##### Parameters

###### value

`any`

##### Returns

`void`

## Methods

### registerOnValidatorChange()

> **registerOnValidatorChange**(`fn`): `void`

Defined in: [packages/angular/form-system/src/lib/validators/is-equal-to.ts:61](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/validators/is-equal-to.ts#L61)

#### Parameters

##### fn

() => `void`

The callback function

#### Returns

`void`

#### Description

Registers a callback function to call when the validator inputs change.

#### Implementation of

`Validator.registerOnValidatorChange`

***

### validate()

> **validate**(`control`): `null` \| `ValidationErrors`

Defined in: [packages/angular/form-system/src/lib/validators/is-equal-to.ts:43](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/validators/is-equal-to.ts#L43)

#### Parameters

##### control

`AbstractControl`

The control to validate against.

#### Returns

`null` \| `ValidationErrors`

A map of validation errors if validation fails,
otherwise null.

#### Description

Method that performs synchronous validation against the provided control.

#### Implementation of

`Validator.validate`
